Open CASCADE Technology: TNaming_ListOfMapOfShape Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TNaming_ListOfMapOfShape Class Reference

`#include <TNaming_ListOfMapOfShape.hxx>`

## Public Member Functions
| TNaming_ListOfMapOfShape ()
| TNaming_ListOfMapOfShape (const TNaming_ListOfMapOfShape &Other)
void | Assign (const TNaming_ListOfMapOfShape &Other)
void | operator= (const TNaming_ListOfMapOfShape &Other)
Standard_Integer | Extent () const
void | Clear ()
| ~TNaming_ListOfMapOfShape ()
Standard_Boolean | IsEmpty () const
void | Prepend (const TopTools_MapOfShape &I)
void | Prepend (const TopTools_MapOfShape &I, TNaming_ListIteratorOfListOfMapOfShape &theIt)
void | Prepend (TNaming_ListOfMapOfShape &Other)
void | Append (const TopTools_MapOfShape &I)
void | Append (const TopTools_MapOfShape &I, TNaming_ListIteratorOfListOfMapOfShape &theIt)
void | Append (TNaming_ListOfMapOfShape &Other)
TopTools_MapOfShape & | First () const
TopTools_MapOfShape & | Last () const
void | RemoveFirst ()
void | Remove (TNaming_ListIteratorOfListOfMapOfShape &It)
void | InsertBefore (const TopTools_MapOfShape &I, TNaming_ListIteratorOfListOfMapOfShape &It)
void | InsertBefore (TNaming_ListOfMapOfShape &Other, TNaming_ListIteratorOfListOfMapOfShape &It)
void | InsertAfter (const TopTools_MapOfShape &I, TNaming_ListIteratorOfListOfMapOfShape &It)
void | InsertAfter (TNaming_ListOfMapOfShape &Other, TNaming_ListIteratorOfListOfMapOfShape &It)

## Constructor & Destructor Documentation

TNaming_ListOfMapOfShape::TNaming_ListOfMapOfShape | ( |  | ) |

TNaming_ListOfMapOfShape::TNaming_ListOfMapOfShape | ( | const TNaming_ListOfMapOfShape & | Other | ) |

TNaming_ListOfMapOfShape::~TNaming_ListOfMapOfShape | ( |  | ) |
| inline

## Member Function Documentation

void TNaming_ListOfMapOfShape::Append | ( | const TopTools_MapOfShape & | I | ) |

void TNaming_ListOfMapOfShape::Append | ( | const TopTools_MapOfShape & | I,
|  | TNaming_ListIteratorOfListOfMapOfShape & | theIt
| ) |  |

void TNaming_ListOfMapOfShape::Append | ( | TNaming_ListOfMapOfShape & | Other | ) |

void TNaming_ListOfMapOfShape::Assign | ( | const TNaming_ListOfMapOfShape & | Other | ) |

void TNaming_ListOfMapOfShape::Clear | ( |  | ) |

Standard_Integer TNaming_ListOfMapOfShape::Extent | ( |  | ) | const

TopTools_MapOfShape& TNaming_ListOfMapOfShape::First | ( |  | ) | const

void TNaming_ListOfMapOfShape::InsertAfter | ( | const TopTools_MapOfShape & | I,
|  | TNaming_ListIteratorOfListOfMapOfShape & | It
| ) |  |

void TNaming_ListOfMapOfShape::InsertAfter | ( | TNaming_ListOfMapOfShape & | Other,
|  | TNaming_ListIteratorOfListOfMapOfShape & | It
| ) |  |

void TNaming_ListOfMapOfShape::InsertBefore | ( | const TopTools_MapOfShape & | I,
|  | TNaming_ListIteratorOfListOfMapOfShape & | It
| ) |  |

void TNaming_ListOfMapOfShape::InsertBefore | ( | TNaming_ListOfMapOfShape & | Other,
|  | TNaming_ListIteratorOfListOfMapOfShape & | It
| ) |  |

Standard_Boolean TNaming_ListOfMapOfShape::IsEmpty | ( |  | ) | const

TopTools_MapOfShape& TNaming_ListOfMapOfShape::Last | ( |  | ) | const

void TNaming_ListOfMapOfShape::operator= | ( | const TNaming_ListOfMapOfShape & | Other | ) |
| inline

void TNaming_ListOfMapOfShape::Prepend | ( | const TopTools_MapOfShape & | I | ) |

void TNaming_ListOfMapOfShape::Prepend | ( | const TopTools_MapOfShape & | I,
|  | TNaming_ListIteratorOfListOfMapOfShape & | theIt
| ) |  |

void TNaming_ListOfMapOfShape::Prepend | ( | TNaming_ListOfMapOfShape & | Other | ) |

void TNaming_ListOfMapOfShape::Remove | ( | TNaming_ListIteratorOfListOfMapOfShape & | It | ) |

void TNaming_ListOfMapOfShape::RemoveFirst | ( |  | ) |

The documentation for this class was generated from the following file:

- TNaming_ListOfMapOfShape.hxx